package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by sanghoonkwon on 2018. 1. 24..
 */

public class UpdateData extends BaseData {
    UpdateInfo updateInfo;

    String simple_login_yn;

    ArrayList<NoticeData> listPopupNoticeInfos;

    public boolean isSimpleLoginYn() {
        return ("Y".equalsIgnoreCase(simple_login_yn));
    }

    public UpdateInfo getUpdateInfo() {
        return updateInfo;
    }

    public ArrayList<NoticeData> getListPopupNoticeInfos() {
        return listPopupNoticeInfos;
    }

    @Override
    public String toString() {
        return "UpdateData{" +
                "rtn_code=" + rtn_code +
                ", rtn_message='" + rtn_message + '\'' +
                ", updateInfo=" + (updateInfo == null ? "NULL" : updateInfo.toString()) +
                ", simple_login_yn='" + simple_login_yn + '\'' +
                ", server_time='" + server_time + '\'' +
                ", listPopupNoticeInfos=" + listPopupNoticeInfos +
                '}';
    }
}
